/*
 * vp_kernel.h
 *
 * This file declares the VCP Host Bus Interface layer.
 *
 * Copyright (c) 2008, Zarlink Semiconductor Inc.
 * All rights reserved
 *
 * This software is the property of Zarlink Semiconductor , Inc. Please refer to the
 * Non Disclosure Agreement (NDA) that you have signed for more information
 * on legal obligations in using, modifying or distributing this file.
 */


#ifndef _VP_KERNEL_H
#define _VP_KERNEL_H

#ifndef	VP_KERNEL_MAX_NUM_LINES
  #define VP_KERNEL_MAX_NUM_LINES         (32)    /* Maximum lines */
#endif /* VP_VCP_MAX_NUM_LINES */

/* Header files required for open() */
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
/* Header file required for close() */
#include <unistd.h>
/* Header file required for ioctl() */
#include <sys/ioctl.h>
//#include <errno.h>

/* Kernel specific Device Object */
typedef struct {
    VpDeviceIdType  deviceId;       /* Device Id indication */

    int16           fileDes;        /* File descriptor */

    uint8           maxChannels;    /* Static Information */

} VpKWrapDeviceObjectType;

/* Kernel specific Line Object */
typedef struct {
    uint8           channelId;

    VpTermType      termType;

    VpLineIdType    lineId;     /* Application provided value for mapping a
                                 * line to a line context */
} VpKWrapLineObjectType;


#endif /* _VP_KERNEL_H */
