/*
 * profiles8.c --
 *
 * This file contains profile data in byte format
 *
 * Copyright (c) 2004 Zarlink Semiconductor Inc.
 * All rights reserved.
 * Zarlink Semiconductor confidential and proprietary information.
 *
 * Project Info --
 *   File:  L:\uvb_svn\sdk\apps\qs_le71he0823_dat\LE71HE0823.vpw
 *   Type:  VP880-CP5621 VoicePort MiniPBX Project (Line Module LE71HE0823)
 *   Date:  Tuesday, July 31, 2007 09:00:21
 *
 *   This file was generated with Profile Wizard Version: 1.7.6
 */

#include "profiles8.h"


/*** Device Parameters for VoicePort Device Family ***/
const VpProfileDataType DEV_PROFILE[] =
{
  /* Device Profile */
 0x00, 0xFF, 0x00, 0x0E, /* Profile Index and Length */
 0x03, 0x00, /* Version and MPI Command */
 0x20, 0x00, /* PCLK Frequency */
 0x8A, 0x00, /* Device Config 1 and MCLK Correction */
 0x40, 0x05, /* Clock Slot and Max Events */
 0x05, 0x00, /* Device Tickrate */
 0xE4, 0x00, 0x04, 0x0A  /* Switching Regulator Parameters */
};

/************** AC Filter Coefficients **************/

/* AC 600 FXO Coefficients */
const VpProfileDataType AC_600R_FXO[] =
{
  /* AC Profile */
 0x00, 0x00, 0x00, 0x4C, 0x00, 0x49, 0x8A, 0x2E, 0x01, 0x01, 0x11, 0x01,
 0x90, 0x01, 0x90, 0x01, 0x90, 0x01, 0x90, 0x01, 0x90, 0x9A, 0x01, 0x90,
 0x01, 0x01, 0x90, 0x50, 0x50, 0x80, 0x98, 0x00, 0x82, 0xC2, 0x21, 0x86,
 0x4A, 0xCC, 0xA9, 0xC4, 0x92, 0x2B, 0x98, 0xE2, 0x97, 0x29, 0x7A, 0x87,
 0xA8, 0x70, 0x88, 0x01, 0x11, 0x01, 0x90, 0x01, 0x90, 0x01, 0x90, 0x01,
 0x90, 0x01, 0x90, 0x96, 0x2E, 0x01, 0x98, 0x01, 0x90, 0x01, 0x90, 0x01,
 0x90, 0x01, 0x90, 0x01, 0x90, 0xCA, 0x00, 0x00
};

/* AC 600 FXS Coefficients */
const VpProfileDataType AC_600R_FXS[] =
{
  /* AC Profile */
 0x00, 0x00, 0x01, 0x4C, 0x00, 0x49, 0xCA, 0xEB, 0x98, 0x22, 0xED, 0xBA,
 0x2D, 0xA2, 0xA7, 0x29, 0xF5, 0xF4, 0x3F, 0x9A, 0xAB, 0xAA, 0xB6, 0x9F,
 0x01, 0x8A, 0x1D, 0x01, 0xAA, 0xC0, 0xAC, 0x44, 0xAB, 0xBE, 0xA2, 0x9F,
 0x3A, 0xA7, 0xAA, 0x8F, 0x88, 0x2A, 0x60, 0x23, 0xEE, 0x3A, 0x9F, 0xA3,
 0xB7, 0x7B, 0x97, 0xAD, 0xAE, 0x82, 0xEA, 0x21, 0x80, 0xAA, 0x20, 0x50,
 0x10, 0x86, 0x4D, 0x5A, 0xB2, 0xB2, 0x22, 0xA3, 0xA8, 0xFA, 0x8F, 0x29,
 0xFA, 0x8F, 0x39, 0xF0, 0x96, 0x2E, 0x01, 0x00
};

/************** DC Feed Parameters **************/

/* 25 mA current feed */
const VpProfileDataType DC_25MA_CC[] =
{
 /* DC Profile */
 0x00, 0x01, 0x01, 0x0A, 0x00, 0x08, 0xC2, 0x1B, 0x88, 0xAC, 0x05, 0xC6,
 0x0F, 0x08
};

/* 40mA Resistive feed */
const VpProfileDataType DC_40MA_RF[] =
{
 /* DC Profile */
 0x00, 0x01, 0x02, 0x0A, 0x00, 0x08, 0xC2, 0x1B, 0x84, 0xC6, 0x07, 0xC6,
 0x08, 0x16
};

/************** Ring Signal Parameters **************/

/* 20Hz, Sinewave ringing, 66Vpk */
const VpProfileDataType RING_20HZ_SINE[] =
{
  /* Sine, 20 Hz, 1.41 CF, 66.00 Vpk, 0.00 Bias */
  /* Ringing Profile */
 0x00, 0x04, 0x01, 0x12, 0x00, 0x0E, 0xD2, 0x00, 0x00, 0x00, 0x00, 0x36,
 0x36, 0xB9, 0x00, 0x00, 0x00, 0x00, 0x68, 0x00, 0x00, 0x00
};

/* 25Hz, Sinewave ringing, 80Vpk */
const VpProfileDataType RING_25HZ_SINE[] =
{
  /* Sine, 25 Hz, 1.41 CF, 80.00 Vpk, 0.00 Bias */
  /* Ringing Profile */
 0x00, 0x04, 0x01, 0x12, 0x00, 0x0E, 0xD2, 0x00, 0x00, 0x00, 0x00, 0x44,
 0x42, 0x55, 0x00, 0x00, 0x00, 0x00, 0x68, 0x00, 0x00, 0x00
};

/* 40Hz trapezoidal ringing, Vpk = 80V, CF = 1.25 */
const VpProfileDataType RING_40HZ_TRAP[] =
{
  /* Trap, 40 Hz, 1.25 CF, 80.00 Vpk, 0.00 Bias */
  /* Ringing Profile */
 0x00, 0x04, 0x01, 0x12, 0x00, 0x0E, 0xD2, 0x01, 0x00, 0x00, 0x01, 0x94,
 0x42, 0x55, 0x00, 0xC8, 0x00, 0x00, 0x68, 0x00, 0x00, 0x00
};

/************** Call Progress Tones **************/

/* US Dial Tone */
const VpProfileDataType TONE_DIAL[] =
{
 /* 350 Hz, -13.00 dBm0, 440 Hz, -13.00 dBm0, 0 Hz, -13.00 dBm0, 0 Hz, -13.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x01, 0x14, 0x01, 0x00, 0x00, 0x00, 0x03, 0xBB, 0x13, 0xF6,
 0x04, 0xB1, 0x13, 0xF6, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* Special Information Tone (Called Number Not Connected) */
const VpProfileDataType TONE_SIT[] =
{
 /* 950 Hz, -8.00 dBm0, 1400 Hz, -8.00 dBm0, 1800 Hz, -8.00 dBm0, 0 Hz, 0.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x01, 0x14, 0x01, 0x00, 0x00, 0x00, 0x0A, 0x22, 0x23, 0x7F,
 0x0E, 0xEF, 0x23, 0x7F, 0x13, 0x33, 0x23, 0x7F, 0x00, 0x00, 0x00, 0x00
};

/* Busy Signal */
const VpProfileDataType TONE_BUSY[] =
{
 /* 480 Hz, -16.00 dBm0, 620 Hz, -16.00 dBm0, 0 Hz, -16.00 dBm0, 0 Hz, -16.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x01, 0x14, 0x01, 0x00, 0x00, 0x00, 0x05, 0x1E, 0x0E, 0x21,
 0x06, 0x9D, 0x0E, 0x21, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* Standard Ringback */
const VpProfileDataType TONE_RINGBACK[] =
{
 /* 440 Hz, -13.00 dBm0, 480 Hz, -13.00 dBm0, 0 Hz, -13.00 dBm0, 0 Hz, -13.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x01, 0x14, 0x01, 0x00, 0x00, 0x00, 0x04, 0xB1, 0x13, 0xF6,
 0x05, 0x1E, 0x13, 0xF6, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* Call Waiting Beep */
const VpProfileDataType TONE_CALLWAIT[] =
{
 /* 440 Hz, -13.00 dBm0, 0 Hz, 6.02 dBm0, 0 Hz, -13.00 dBm0, 0 Hz, -13.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x01, 0x14, 0x01, 0x00, 0x00, 0x00, 0x04, 0xB1, 0x13, 0xF6,
 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* US Reorder tone */
const VpProfileDataType TONE_REORDER[] =
{
 /* 480 Hz, -16.00 dBm0, 620 Hz, -16.00 dBm0, 0 Hz, -13.00 dBm0, 0 Hz, -13.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x01, 0x14, 0x01, 0x00, 0x00, 0x00, 0x05, 0x1E, 0x0E, 0x21,
 0x06, 0x9D, 0x0E, 0x21, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* A 1kHz tone at -10dBm0 */
const VpProfileDataType TONE_ONEKHZ_L[] =
{
 /* 1000 Hz, -10.00 dBm0, 0 Hz, -13.00 dBm0, 0 Hz, -13.00 dBm0, 0 Hz, -13.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x01, 0x14, 0x01, 0x00, 0x00, 0x00, 0x0A, 0xAA, 0x1C, 0x32,
 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* A 1kHz tone at 0dBm0 */
const VpProfileDataType TONE_ONEKHZ_H[] =
{
 /* 1000 Hz, 0.00 dBm0, 0 Hz, -13.00 dBm0, 0 Hz, -13.00 dBm0, 0 Hz, -13.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x01, 0x14, 0x01, 0x00, 0x00, 0x00, 0x0A, 0xAA, 0x59, 0x2A,
 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* Caller ID Alert Tone for UK Cadence */
const VpProfileDataType TONE_CLI[] =
{
 /* 2130 Hz, -13.00 dBm0, 2750 Hz, -13.00 dBm0, 0 Hz, -13.00 dBm0, 0 Hz, -13.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x01, 0x14, 0x01, 0x00, 0x00, 0x00, 0x16, 0xB8, 0x13, 0xF6,
 0x1D, 0x55, 0x13, 0xF6, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* Receiver Off-Hook */
const VpProfileDataType TONE_ROH[] =
{
 /* 1400 Hz, 0.00 dBm0, 2060 Hz, 0.00 dBm0, 2450 Hz, 0.00 dBm0, 2600 Hz, 0.00 dBm0 */
 /* Tone Profile */
 0x00, 0x02, 0x01, 0x14, 0x01, 0x00, 0x00, 0x00, 0x0E, 0xEF, 0x59, 0x2A,
 0x15, 0xF9, 0x59, 0x2A, 0x1A, 0x22, 0x59, 0x2A, 0x1B, 0xBB, 0x59, 0x2A
};

/************** Cadence Definitions **************/

/* Standard dial tone cadence */
const VpProfileDataType TONE_CAD_DIAL0[] =
{
  /* Cadence Profile */
 0x00, 0x03, 0x01, 0x08, 0x00, 0x00, 0x00, 0x04, 0x00, 0x8F, 0x20, 0x00
};

/* Stutter dial tone cadence */
const VpProfileDataType TONE_CAD_DIAL1[] =
{
  /* Cadence Profile */
 0x00, 0x03, 0x01, 0x10, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x8F, 0x20, 0x14,
 0x00, 0x80, 0x20, 0x14, 0x40, 0x03, 0x00, 0x8F
};

/* Busy signal cadence (0.5 sec on 0.5 sec off) */
const VpProfileDataType TONE_CAD_BUSY0[] =
{
  /* Cadence Profile */
 0x00, 0x03, 0x01, 0x0E, 0x00, 0x00, 0x00, 0x0A, 0x00, 0x8F, 0x20, 0x64,
 0x00, 0x80, 0x20, 0x64, 0x40, 0x00
};

/* Tone Reorder cadence (0.25 sec on 0.25 sec off) */
const VpProfileDataType TONE_CAD_REORDER[] =
{
  /* Cadence Profile */
 0x00, 0x03, 0x01, 0x0E, 0x00, 0x00, 0x00, 0x0A, 0x00, 0x8F, 0x20, 0x32,
 0x00, 0x80, 0x20, 0x32, 0x40, 0x00
};

/* Ringback Cadence */
const VpProfileDataType TONE_CAD_RNGBACK[] =
{
  /* Cadence Profile */
 0x00, 0x03, 0x01, 0x0E, 0x00, 0x00, 0x00, 0x0A, 0x00, 0x8F, 0x21, 0x90,
 0x00, 0x80, 0x23, 0x20, 0x40, 0x00
};

/* Receiver Off-Hook */
const VpProfileDataType TONE_CAD_ROH[] =
{
  /* Cadence Profile */
 0x00, 0x03, 0x01, 0x0E, 0x00, 0x00, 0x00, 0x0A, 0x00, 0x8F, 0x20, 0x14,
 0x00, 0x80, 0x20, 0x14, 0x40, 0x00
};

/* SIT Cadence */
const VpProfileDataType TONE_CAD_SIT[] =
{
  /* Cadence Profile */
 0x00, 0x03, 0x01, 0x14, 0x00, 0x00, 0x00, 0x10, 0x00, 0x81, 0x20, 0x3C,
 0x00, 0x82, 0x20, 0x3C, 0x00, 0x84, 0x20, 0x3C, 0x00, 0x80, 0x20, 0x00
};

/* Ringing Always On */
const VpProfileDataType RING_CAD_ON[] =
{
  /* Cadence Profile */
 0x00, 0x08, 0x01, 0x08, 0x00, 0x00, 0x00, 0x04, 0x01, 0x07, 0x20, 0x00
};

/* Standard Ringing Cadence (2 sec on 4 sec off) */
const VpProfileDataType RING_CAD_STD[] =
{
  /* Cadence Profile */
 0x00, 0x08, 0x01, 0x0E, 0x00, 0x00, 0x00, 0x0A, 0x01, 0x07, 0x21, 0x90,
 0x01, 0x05, 0x23, 0x20, 0x40, 0x00
};

/************** Caller ID **************/

/* US Caller ID Type II */
const VpProfileDataType CID_TYPE2_US[] =
{
  /* Space=2100Hz, Mark=1300Hz, Amp=-13.50dBm */
  /* Caller ID Profile */
  0x00, 0x06, 0x00, 0x4C, 0x00, 0x00,
  0x09, 0xD4, /* MPI Length and Command */
  0x16, 0x66, 0x12, 0xD8, 0x0D, 0xDD, 0x12, 0xD8, /* MPI Data */
  0x00, 0x01, /* Checksum Computed by device/API */
  0x00, 0x3C, /* Length of Elements Data */
  0x00, 0x02, /* Mute the far end */
  0x00, 0x04, /* Alert Tone */
  /* Call Waiting Beep */
  /* 440 Hz, -13.00 dBm0, 0 Hz, 6.02 dBm0 */
  0x09, 0xD4, 0x04, 0xB1, 0x13, 0xF6, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x05, 0x01, 0x2C, /* Alert Tone Part 2 - Tone+Cadence = 300ms */
  0x00, 0x06, 0x00, 0x0A, /* Silence Interval for 10ms */
  0x00, 0x04, /* Alert Tone */
  /* Caller ID Alert Tone for UK Cadence */
  /* 2130 Hz, -13.00 dBm0, 2750 Hz, -13.00 dBm0 */
  0x09, 0xD4, 0x16, 0xB8, 0x13, 0xF6, 0x1D, 0x55, 0x13, 0xF6,
  0x00, 0x05, 0x00, 0x50, /* Alert Tone Part 2 - Tone+Cadence = 80ms */
  0x00, 0x08, 0x00, 0xA0, 0x00, 0xD0, 0x00, 0x00, /* Detect Tone A | D, Timeout = 160ms */
  0x00, 0x06, 0x00, 0x64, /* Silence Interval for 100ms */
  0x00, 0x0A, 0x00, 0x46, /* Mark Signal for 70ms */
  0x00, 0x0B, /* Message Data (FSK Format) */
  0x00, 0x03, /* Unmute the far end */
  0x00, 0x0D  /* End of Transmission */
};

/* UK Caller ID Type I */
const VpProfileDataType CID_TYPE1_UK[] =
{
  /* Space=2100Hz, Mark=1300Hz, Amp=-7.00dBm */
  /* Caller ID Profile */
  0x00, 0x05, 0x00, 0x42, 0x00, 0x00,
  0x09, 0xD4, /* MPI Length and Command */
  0x16, 0x66, 0x27, 0xD4, 0x0D, 0xDD, 0x27, 0xD4, /* MPI Data */
  0x00, 0x01, /* Checksum Computed by device/API */
  0x00, 0x32, /* Length of Elements Data */
  0x00, 0x06, 0x00, 0x32, /* Silence Interval for 50ms */
  0x00, 0x01, /* Line Reversal */
  0x00, 0x06, 0x00, 0x64, /* Silence Interval for 100ms */
  0x00, 0x04, /* Alert Tone */
  /* Caller ID Alert Tone for UK Cadence */
  /* 2130 Hz, -13.00 dBm0, 2750 Hz, -13.00 dBm0 */
  0x09, 0xD4, 0x16, 0xB8, 0x13, 0xF6, 0x1D, 0x55, 0x13, 0xF6,
  0x00, 0x05, 0x00, 0x64, /* Alert Tone Part 2 - Tone+Cadence = 100ms */
  0x00, 0x07, 0x00, 0x64, 0x00, 0x14, /* Silence Interval for 100ms, Masked-hook Interval for 20ms */
  0x00, 0x09, 0x00, 0x64, /* Channel Seizure for 100ms */
  0x00, 0x0A, 0x00, 0x32, /* Mark Signal for 50ms */
  0x00, 0x0B, /* Message Data (FSK Format) */
  0x00, 0x06, 0x00, 0xC8, /* Silence Interval for 200ms */
  0x00, 0x01, /* Line Reversal */
  0x00, 0x0D  /* End of Transmission */
};

/* US Caller ID (Type 1 - On-Hook) */
const VpProfileDataType CLI_TYPE1_US[] =
{
  /* Space=2200Hz, Mark=1200Hz, Amp=-7.00dBm */
  /* Caller ID Profile */
  0x00, 0x05, 0x00, 0x20, 0x00, 0x00,
  0x09, 0xD4, /* MPI Length and Command */
  0x17, 0x77, 0x27, 0xD4, 0x0C, 0xCC, 0x27, 0xD4, /* MPI Data */
  0x00, 0x01, /* Checksum Computed by device/API */
  0x00, 0x10, /* Length of Elements Data */
  0x00, 0x06, 0x02, 0x08, /* Silence Interval for 520ms */
  0x00, 0x09, 0x00, 0xFA, /* Channel Seizure for 250ms */
  0x00, 0x0A, 0x00, 0x96, /* Mark Signal for 150ms */
  0x00, 0x0B, /* Message Data (FSK Format) */
  0x00, 0x0D  /* End of Transmission */
};

/************** Metering Profile **************/

/* Metering */
const VpProfileDataType METER_PROFILE[] =
{
  /* Metering Profile */
  0x00, 0x07, 0x01, 0x08, 0x00, 0x05,
  0xD0, 0x01,  /* 12 kHz Tone, MLIM = 20.21 mVpeak */
  0x7E, 0x00,  /* Smooth, MTRSL = 12.21 mArms */
  0x00, 0x00
};

/************** FXO/Dialing Profile **************/

/* FXO/Dialing Profile */
const VpProfileDataType FXO_DIALING[] =
{
 /* FXO/Dialing Profile */
 0x00, 0xFE, 0x00, 0x16, 0x01, 0x00, /* Header Information */
 0x00, 0x27, 0x00, 0x28, /* DTMF On (199mS), DTMF Off (200ms) */
 0x00, 0x78, /* Flash Hook Timing (600mS) */
 0x07, 0x03, /* Pulse Break (35mS), Pulse Make (15ms) */
 0x00, 0x28, /* Interdigit Min (200mS) */
 0xEB, 0x79, /* Device Ring Period Max (58mS), Min (30mS) */
 0x04, /* Ring Detect Min (60V) */
 0x03, /* Disconnect Threshold (5.6V) */
 0x02, /* LIU Threshold (38V) */
 0x3A, /* Ring Period Max (58mS) */
 0x1C, 0x32, 0x1C, 0x32  /* DTMF High/Low Freq Level (-10.0dBm0/-10.0dBm0) */
};

/* end of file profiles8.c */
