/*
 * cli.h
 *
 * Header file for the Caller ID FSK Module.
 *
 * Copyright (c) 2001, Zarlink Semiconductor Inc.
 * All rights reserved
 *
 * This software is the property of Zarlink Semiconductor , Inc. Please refer to the
 * Non Disclosure Agreement (NDA) that you have signed for more information
 * on legal obligations in using, modifying or distributing this file.
 */

#ifndef CLI_H
#define CLI_H

#include "vp_api_types.h"

/*
 * MAX_USER_BUFFER is the size of the user's CLI buffer. The API's CLI buffer
 * will be MAX_USER_BUF * 10 / 6 + 2.
 */
#define MAX_USER_BUFFER 100
#define MAX_API_BUFFER (MAX_USER_BUFFER * 10 / 6 + 2)
/* Define Message Layer constants */
#define CLI_SDMF            4
#define CLI_MDMF            128
#define CLI_PARAM_DATETIME  1
#define CLI_PARAM_NUMBER    2
#define CLI_PARAM_NAME      7

void AppCreateBuffer(char* month,   char* day,  char* hour, char* minute,
                     uint16 number, char* name, uint8* appBuffer);

#endif /*CLI_H*/

